
Figure - Bug #116441
测试 Test-ST # 113421 (New): V4.0功能与专项测试

测试 Test-ST # 113422 (New): V4.0专项--AF专项--monkey测试

【AF】【EVT3】【Monkey】Monkey测试12小时，出现CRASH: com.thundercomm.screensaver（1）
2023-02-22 11:19 - CD Test赵飞

Status: CLOSED Start date: 2023-02-22

Priority: Normal Due date: 2023-03-10

Assignee: CD TEST-方永红 % Done: 100%

Category: CD-APP Estimated time: 0.00 hour

Target version: VC1_FSE_0082_20230314

Need_Info: -- Found Version: FlatBuild_HH_MCE_FSE.M.D.user.01.00.C101(X101).202303220131

Resolution: FIXED Degrated: No

Severity: Major Verified Version: FlatBuild_HH_MCE_FSE.M.R.user.01.00.0083.C101(X101)

Reproducibility: Frequently Fixed Version: 2023-03-14

Test Type: Monkey Test Root cause: AOSP问题

Description

【执行命令】

adb shell

monkey --pkg-blacklist-file /sdcard/blacklist.txt --ignore-crashes --ignore-timeouts --ignore-security-exceptions --monitor-native-crashes

--ignore-native-crashes -s 20 --throttle 500 --pct-touch 30 --pct-motion 15 --pct-nav 15 --pct-majornav 15 --pct-syskeys 5 --pct-appswitch 10

--pct-anyevent 10 --ignore-crashes -v -v -v 86400 2>/sdcard/error.txt 1>/sdcard/info.txt

【错误信息】

// CRASH: com.thundercomm.screensaver (pid 28043)

// Short Msg: java.lang.IllegalArgumentException

// Long Msg: java.lang.IllegalArgumentException: Receiver not registered:

com.thundercomm.saverclock.service.ClockScreensaver$mAlarmChangedReceiver$1@f4893b9

// Build Label: TC/figure_CN/figure:12/SKQ1.220201.001/2170:user/test-keys

// Build Changelist: 2170

// Build Time: 1676916435000

// java.lang.IllegalArgumentException: Receiver not registered:

com.thundercomm.saverclock.service.ClockScreensaver$mAlarmChangedReceiver$1@f4893b9

//     at android.app.LoadedApk.forgetReceiverDispatcher(LoadedApk.java:1555)

//     at android.app.ContextImpl.unregisterReceiver(ContextImpl.java:1789)

//     at android.content.ContextWrapper.unregisterReceiver(ContextWrapper.java:769)

//     at com.thundercomm.saverclock.service.ClockScreensaver.onDetachedFromWindow(ClockScreensaver.kt:167)

//     at com.android.internal.policy.DecorView.onDetachedFromWindow(DecorView.java:1901)

//     at android.view.View.dispatchDetachedFromWindow(View.java:20812)

//     at android.view.ViewGroup.dispatchDetachedFromWindow(ViewGroup.java:3956)

//     at android.view.ViewRootImpl.dispatchDetachedFromWindow(ViewRootImpl.java:4998)

//     at android.view.ViewRootImpl.doDie(ViewRootImpl.java:8169)

//     at android.view.ViewRootImpl.die(ViewRootImpl.java:8146)

//     at android.view.WindowManagerGlobal.removeViewLocked(WindowManagerGlobal.java:499)

//     at android.view.WindowManagerGlobal.removeView(WindowManagerGlobal.java:440)

//     at android.view.WindowManagerImpl.removeViewImmediate(WindowManagerImpl.java:164)

//     at android.app.ActivityThread.handleDestroyActivity(ActivityThread.java:5440)

//     at android.app.servertransaction.DestroyActivityItem.execute(DestroyActivityItem.java:47)

//     at android.app.servertransaction.ActivityTransactionItem.execute(ActivityTransactionItem.java:45)
//     at android.app.servertransaction.TransactionExecutor.executeLifecycleState(TransactionExecutor.java:176)

//     at android.app.servertransaction.TransactionExecutor.execute(TransactionExecutor.java:97)

//     at android.app.ActivityThread$H.handleMessage(ActivityThread.java:2211)

//     at android.os.Handler.dispatchMessage(Handler.java:106)

//     at android.os.Looper.loopOnce(Looper.java:201)

//     at android.os.Looper.loop(Looper.java:288)

//     at android.app.ActivityThread.main(ActivityThread.java:7880)

//     at java.lang.reflect.Method.invoke(Native Method)

//     at com.android.internal.os.RuntimeInit$MethodAndArgsCaller.run(RuntimeInit.java:548)

//     at com.android.internal.os.ZygoteInit.main(ZygoteInit.java:1009)

// 

【日志】

见附件

History

#1 - 2023-02-27 16:11 - CD APP-王营

- Due date set to 2023-03-03

- Status changed from New to ASSIGNED

#2 - 2023-02-28 14:21 - CDTS-TEST 周婷

- Severity changed from Normal to Major

#3 - 2023-02-28 14:33 - CDTS-TEST 周婷

- Target version set to VX1_MCE_FSE_0082_20230314

#4 - 2023-03-07 13:39 - CD TPM-王祥林

- Target version changed from VX1_MCE_FSE_0082_20230314 to VC1_FSE_0082_20230314

#5 - 2023-03-07 13:43 - CD APP-王营

- Due date changed from 2023-03-03 to 2023-03-10

#6 - 2023-03-10 10:52 - CD APP-王营

- Status changed from ASSIGNED to RESOLVED

- % Done changed from 0 to 50

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2023-03-11

- Root cause set to AOSP问题

■ Current conclusion

问题已解决，待测试

■ My analysis

mAlarmChangedReceiver 在onAttachedToWindow()方法中被注册，在onDetachedFromWindow()方法中被取消注册，原生问题偶现onDetachedFromWindow()

被提前调用，处理方式是捕获此异常。

■Submit URL

https://dev.thundercomm.com/gerrit/c/general/platform/vendor/thundercomm/apps/ScreenSaver/+/186778
#7 - 2023-03-13 10:11 - CD APP-王营

- Assignee changed from CD APP-王营 to CD Test赵飞

- % Done changed from 50 to 100

- Fixed Version changed from 2023-03-11 to 2023-03-14

#8 - 2023-03-13 10:13 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

186778 general/platform/vendor/thundercom

m/apps/ScreenSaver

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

ying.wang@thundersoft.com

AF: ScreenSaver: Fix monkey bug1.Try catch unregister receiver exception.TC-RID: 0301-0300605IssueID: TS-R-BUG-116441Change-Id:

I319cbfd9017939938efca41b64dade6d8809d9bd

#9 - 2023-03-13 21:16 - CDTS_TEST 王成

- Assignee changed from CD Test赵飞 to CD TEST-方永红

#10 - 2023-03-17 15:00 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- Verified Version set to FlatBuild_HH_MCE_FSE.M.R.user.01.00.0083.C101(X101)

3.17

连接中控后测试

3个版本未复现

先关闭

#11 - 2023-03-23 10:53 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

- Found Version changed from FlatBuild_HH_VX1_MCE_FSE.M.R.user.01.00.0076.X101 to FlatBuild_HH_MCE_FSE.M.D.user.01.00.C101(X101).202303220131

3.23

3个版本未复现

Files

Tlog.zip 39 MB 2023-02-22 CD Test赵飞
